DASM(1)

NAME
dasm - 8-bit macro assembler

SYNOPSIS
dasm sourcefile [options]

DESCRIPTION
This manual page documents briefly the dasm command.

dasm is a versatile macro assembler with support for several 8-bit microprocessors including MOS 6502 & 6507; Motorola 6803, 68705, and 68HC11; Hitachi HD6303 (extended Motorola 6801) and Fairchild F8.

OPTIONS
dasm supports the following options, briefly described below. For more information see the dasm Technical Reference Manual.

-f# output format 1-3 [default: 1]

-oname
    output file name [default: a.out]

-lname
    list file name [default: none generated]

-Lname
    list file, containing all passes

-v# verboseness 0-4 [default: 0]

-d  debug mode (for developers)

-Dsymbol
    define symbol, set to 0

-Dsymbol=expression
    define symbol, set to expression

-Msymbol=expression
    define symbol using EQM (same as -D)

-p# maximum number of passes

-P# maximum number of passes, with fewer checks

-T# symbol table sorting [default: 0]
    0 = alphabetical 1 = address/value

-E# error format [default: 0]
    0 = MS 1 = Dillon 2 = GNU

-S  strict syntax checking

-R  remove binary output file in case of errors

-m# maximum allowed file-size in kB

SEE ALSO

/usr/share/doc/dasm/dasm.pdf:
    dasm Technical Reference Manual

AUTHOR
Written and maintained by the DASM team and its contributors.